MsmIndependenceSplit Class Reference
Inheritance diagram for MsmIndependenceSplit:

## Classes

struct | RightConsumer

## Public Member Functions

Task * | getLeftEvent ()
TermConsumer * | getLeftConsumer ()
TermConsumer * | getRightConsumer ()
const Projection & | getLeftProjection ()
const Projection & | getRightProjection ()
void | reset (TermConsumer *consumer, IndependenceSplitter &splitter)
Public Member Functions inherited from TermConsumer
virtual | ~TermConsumer ()
virtual void | consumeRing (const VarNames &names)
| Tell the consumer which ring is being used.
virtual void | beginConsumingList ()
| Tell the consumer that the ideals that are consumed until the next call to doneConsumingList are to be considered as one list of ideals, rather than as a number of separate ideals.
virtual void | doneConsumingList ()
| Must be called once after each time beginConsumingList has been called.
void | consume (const Ideal &ideal)
| This is a non-virtual utility method that calls the other methods to achieve its effect of calling beginConsuming, then consuming all generators, and then calling doneConsuming.
Public Member Functions inherited from Task
virtual | ~Task ()

## Private Member Functions

virtual void | run (TaskEngine &engine)
| Does whatever work this task represents.
virtual void | dispose ()
| Called when the task is no longer used but run has not and will not be called.
virtual void | beginConsuming ()
| Tell the consumer to begin consuming an ideal.
virtual void | doneConsuming ()
| Must be called once after each time beginConsuming has been called.
virtual void | consume (const Term &term)
| Consume a term.

## Private Attributes

MsmIndependenceSplit::RightConsumer | _rightConsumer
TermConsumer * | _consumer
Projection | _leftProjection
Projection | _rightProjection
Term | _tmpTerm

## Detailed Description

Definition at line 177 of file MsmStrategy.cpp.

## Member Function Documentation

## beginConsuming()

virtual void MsmIndependenceSplit::beginConsuming | ( |  | ) |

inline private virtual

Tell the consumer to begin consuming an ideal.

It is required to call this method before calling consume().

Implements TermConsumer.

Definition at line 220 of file MsmStrategy.cpp.

## consume()

virtual void MsmIndependenceSplit::consume | ( | const Term & | term | ) |

inline private virtual

Consume a term.

Implements TermConsumer.

Definition at line 226 of file MsmStrategy.cpp.

## dispose()

virtual void MsmIndependenceSplit::dispose | ( |  | ) |

inline private virtual

Called when the task is no longer used but run has not and will not be called.

This can happen from a destructor being called due to an exception, so dispose must not throw an exception under any circumstances.

Implements Task.

Definition at line 216 of file MsmStrategy.cpp.

## doneConsuming()

virtual void MsmIndependenceSplit::doneConsuming | ( |  | ) |

inline private virtual

Must be called once after each time beginConsuming has been called.

Implements TermConsumer.

Definition at line 223 of file MsmStrategy.cpp.

## getLeftConsumer()

TermConsumer * MsmIndependenceSplit::getLeftConsumer | ( |  | ) |

inline

Definition at line 183 of file MsmStrategy.cpp.

## getLeftEvent()

Task * MsmIndependenceSplit::getLeftEvent | ( |  | ) |

inline

Definition at line 179 of file MsmStrategy.cpp.

## getLeftProjection()

const Projection & MsmIndependenceSplit::getLeftProjection | ( |  | ) |

inline

Definition at line 191 of file MsmStrategy.cpp.

## getRightConsumer()

TermConsumer * MsmIndependenceSplit::getRightConsumer | ( |  | ) |

inline

Definition at line 187 of file MsmStrategy.cpp.

## getRightProjection()

const Projection & MsmIndependenceSplit::getRightProjection | ( |  | ) |

inline

Definition at line 195 of file MsmStrategy.cpp.

## reset()

void MsmIndependenceSplit::reset | ( | TermConsumer * | consumer,
|  | IndependenceSplitter & | splitter )

inline

Definition at line 199 of file MsmStrategy.cpp.

## run()

virtual void MsmIndependenceSplit::run | ( | TaskEngine & | engine | ) |

inline private virtual

Does whatever work this task represents.

The parameter can be used to schedule additional tasks.

Implements Task.

Definition at line 212 of file MsmStrategy.cpp.

## Member Data Documentation

## _consumer

TermConsumer* MsmIndependenceSplit::_consumer

private

Definition at line 250 of file MsmStrategy.cpp.

## _leftProjection

Projection MsmIndependenceSplit::_leftProjection

private

Definition at line 252 of file MsmStrategy.cpp.

## _rightConsumer

MsmIndependenceSplit::RightConsumer MsmIndependenceSplit::_rightConsumer

private

## _rightProjection

Projection MsmIndependenceSplit::_rightProjection

private

Definition at line 253 of file MsmStrategy.cpp.

## _tmpTerm

Term MsmIndependenceSplit::_tmpTerm

private

Definition at line 255 of file MsmStrategy.cpp.

The documentation for this class was generated from the following file:

- src/MsmStrategy.cpp